﻿-- REQUIRED Combuctor
local CombuctorSet = Combuctor:GetModule("Sets")

-- Profession Icon Name
local IconPathName = "Interface/Icons/inv_misc_ancient_mana"

-- AucItemSubClasses
local AncientMana = GetCurrencyInfo(1155) -- Mana ancestral

-- Tab Names
local TN = {}
TN.AncientMana = AncientMana
-----------------------------------------------------------------------------------------------------------------------------------------
local function GetItemIDFromLink(itemLink)
	if not itemLink or itemLink=="" then return nil end

	local itemString = string.match(itemLink, "item[%-?%d:]+")
	local linkType, itemId, enchantId,jewelId1, jewelId2, jewelId3, jewelId4,suffixId, uniqueId = strsplit(":", itemString)
	if (linkType == 'item') then
		return itemId
	end

end
-----------------------------------------------------------------------------------------------------------------------------------------
function TN.isAncientMana(player, bagType, name, link, quality, level, ilvl, type, subType, stackCount, equipLoc)
	if not subType then return false end
	if not link then return false end

	local ItemID=GetItemIDFromLink(link)
	if not ItemID then return false end

	return AncientManaBDD[tonumber(ItemID)];
end
-----------------------------------------------------------------------------------------------------------------------------------------
CombuctorSet:Register(TN.AncientMana, IconPathName, TN.isAncientMana)